#include "testlib.h"

using namespace std;

const int maxN = 100 * 1000;
const long long maxK = 1000 * 1000 * 1000;

int main() {
	registerValidation();
	//inf.readEoln();
	//inf.readEof();
	//return 0;
	int n = inf.readInt(1ll, maxN);
	inf.readSpace();
	long long k = inf.readLong(1ll, maxK);
	inf.readEoln();
	for (int i = 0; i < n; i++) {
		inf.readLong(1ll, k);    
		if (i < n - 1)
			inf.readSpace();
		else
		    inf.readEoln();
	}
	inf.readEof();

	return 0;
}